Skip to main content
DELETE
/
agents
/
{agentId}
Delete an agent
curl --request DELETE \
  --url https://api.useproxy.ai/v1/agents/{agentId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "status": "active",
  "customerId": "<string>",
  "externalId": "<string>",
  "limits": {
    "amount": 123,
    "currency": "<string>",
    "interval": "<string>"
  },
  "policy": {
    "requireIntent": true,
    "requireAttestation": true,
    "requireApproval": true,
    "autoApproveBelow": 123,
    "attestationWindowMinutes": 123,
    "cooldownMinutes": 123,
    "ttlMinutes": 123,
    "ttlDays": 123,
    "limits": {
      "perAuth": 123,
      "perDay": 123,
      "perMonth": 123
    },
    "allowedMccs": [
      "<string>"
    ],
    "blockedMccs": [
      "<string>"
    ],
    "allowedMerchants": [
      "<string>"
    ],
    "lockToFirstMerchant": true
  },
  "metadata": {},
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header as Bearer <api_key>.

Headers

Idempotency-Key
string

Unique key for idempotent requests (24-hour cache)

Path Parameters

agentId
string
required

Agent ID (e.g., agt_...)

Response

Agent deleted

id
string
required

Unique agent ID

name
string
required

Agent name

status
enum<string>
required

Agent status

Available options:
active,
paused,
disabled
customerId
string | null

Parent customer ID

externalId
string | null

External identifier for the agent

limits
object
policy
object

Spending policy controls

metadata
object
createdAt
string<date-time> | null